package com.r3944realms.modernlifepatch.content.tag;

import com.r3944realms.modernlifepatch.ModernLifePatch;
import net.minecraft.core.registries.Registries;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.tags.TagKey;
import net.minecraft.world.item.Item;

public class ModTags {
    public static class Items {
        public static final TagKey<Item>
                BEDCHAMBER = tag("bedchamber"),
                BATHROOM = tag("bathroom"),
                LOUNGE = tag("lounge"),
                KITCHEN = tag("kitchen"),
                WEAPON = tag("weapon"),
                TOOL = tag("m_tool"),
                GENERAL = tag("general"),
                SHELF = tag("shelf"),
                TABLE = tag("table"),
                SEAT = tag("seat"),
                RAMP = tag("ramp"),
                BARRIER = tag("barrier"),
                CONTAINER = tag("container"),
                OUTSIDE = tag("outside"),
                DOOR = tag("door")

        ;
        private static TagKey<Item> tag(String name)
        {
            return TagKey.create(Registries.ITEM, new ResourceLocation(ModernLifePatch.MOD_ID, name));
        }
    }
}
